package be.iminds.ilabt.jfed.scanner;

import java.security.cert.X509Certificate;
import java.util.List;

/**
 * CommandLineScanFeedback
 */
public class CommandLineScanFeedback implements ScanFeedback {
    @Override
    public boolean trustNonSelfSignedCert(List<X509Certificate> certificateList) {
        return false; //don't trust non self signed certificates
    }

    @Override
    public boolean trustSelfSignedCert(List<X509Certificate> certificateList) {
        return true;
    }

    @Override
    public boolean trustAlias(String urlHost, String certSubject) {
        return true;
    }
}
